# Generated from releaf-2.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name releaf

Name: rubygem-%{gem_name}
Version: 2.1.2
Release: 1%{?dist}
Summary: Administration interface for Ruby on Rails
License: MIT
URL: https://github.com/cubesystems/releaf
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(rails-controller-testing)
# BuildRequires: rubygem(listen) >= 3.0
# BuildRequires: rubygem(listen) < 4
# BuildRequires: rubygem(capybara) >= 3.0
# BuildRequires: rubygem(capybara) < 4
# BuildRequires: rubygem(selenium-webdriver) >= 3.0
# BuildRequires: rubygem(selenium-webdriver) < 4
# BuildRequires: rubygem(factory_bot) >= 5.2
# BuildRequires: rubygem(factory_bot) < 6
# BuildRequires: rubygem(syntax)
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(database_cleaner) >= 1.0
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(shoulda-matchers) >= 4.0
# BuildRequires: rubygem(shoulda-matchers) < 5
# BuildRequires: rubygem(db-query-matchers)
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(with_model) >= 2.0
# BuildRequires: rubygem(with_model) < 3
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(roo)
# BuildRequires: rubygem(puma)
BuildArch: noarch

%description
Administration interface for Ruby on Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 2.1.2-1
- Initial package
